=== debian/control ===
Source: ros-melodic-hrpsys-tools
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-hrpsys, ros-melodic-rostest
Homepage: http://ros.org/wiki/hrpsys_tools
Standards-Version: 3.9.2

Package: ros-melodic-hrpsys-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hrpsys, ros-melodic-openrtm-tools
Description: The hrpsys_tools package
